summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Luke Williams2012-12-19 21:45:48 +0100
committer Matteo Bernardini2012-12-19 21:46:05 +0100
commit8949a7b29193815bff4b128aca0998be6205d41e (patch)
tree5542f56c2f87d5985732f3a67033f0c27dd47a5c /office
parentf033095a877cdda55311e2fbf34bddc55066bc4a (diff)
downloadslackbuilds-8949a7b29193815bff4b128aca0998be6205d41e.tar.gz
office/treesheets: Added (Free Form Data Organization).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/treesheets/README18
-rw-r--r--office/treesheets/doinst.sh9
-rw-r--r--office/treesheets/slack-desc19
-rw-r--r--office/treesheets/start-treesheets4
-rw-r--r--office/treesheets/treesheets.SlackBuild71
-rw-r--r--office/treesheets/treesheets.desktop8
-rw-r--r--office/treesheets/treesheets.info10
7 files changed, 139 insertions, 0 deletions
diff --git a/office/treesheets/README b/office/treesheets/README
new file mode 100644
index 0000000000..c07591e087
--- /dev/null
+++ b/office/treesheets/README
@@ -0,0 +1,18 @@
+The ultimate replacement for spreadsheets, mind mappers, outliners,
+PIMs, text editors and small databases.
+
+Suitable for any kind of data organization, such as Todo lists,
+calendars, project management, brainstorming, organizing ideas,
+planning, requirements gathering, presentation of information, etc.
+
+It's like a spreadsheet, immediately familiar, but much more
+suitable for complex data because it's hierarchical.
+It's like a mind mapper, but more organized and compact.
+It's like an outliner, but in more than one dimension.
+It's like a text editor, but with structure.
+
+Note: Multilib is required in order to run TreeSheets on x86_64.
+
+Note 2: The download is not versioned, so the version may be higher
+than the one of this SlackBuild (and in this case, the MD5SUM won't
+match).
diff --git a/office/treesheets/doinst.sh b/office/treesheets/doinst.sh
new file mode 100644
index 0000000000..b90d0cbd70
--- /dev/null
+++ b/office/treesheets/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/treesheets/slack-desc b/office/treesheets/slack-desc
new file mode 100644
index 0000000000..963aaba70b
--- /dev/null
+++ b/office/treesheets/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+treesheets: TreeSheets (Free Form Data Organization)
+treesheets:
+treesheets: The ultimate replacement for spreadsheets, mind mappers, outliners,
+treesheets: PIMs, text editors and small databases.
+treesheets: Suitable for any kind of data organization, such as Todo lists,
+treesheets: calendars, project management, brainstorming, organizing ideas,
+treesheets: planning, requirements gathering, presentation of information, etc.
+treesheets:
+treesheets: For more info visit: http://treesheets.com/
+treesheets:
+treesheets:
diff --git a/office/treesheets/start-treesheets b/office/treesheets/start-treesheets
new file mode 100644
index 0000000000..c2de666395
--- /dev/null
+++ b/office/treesheets/start-treesheets
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /opt/treesheets
+./treesheets
diff --git a/office/treesheets/treesheets.SlackBuild b/office/treesheets/treesheets.SlackBuild
new file mode 100644
index 0000000000..9cbce681ce
--- /dev/null
+++ b/office/treesheets/treesheets.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+# Slackware build script for TreeSheets
+# Builds a Slackware package from the TreeSheets binary tarball.
+#
+# Written by Luke Williams ( xocel@iquidus.org )
+# license: WTFPL <http://sam.zoy.org/wtfpl/COPYING>
+
+PRGNAM=treesheets
+VERSION=${VERSION:-110805}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+TARBALL="${PRGNAM}_linux.tar.gz" # Name of 32bit tarball
+TARBALL_ROOT="TS" # Name of tarballs root directory
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARBALL_ROOT
+tar -xvf $CWD/$TARBALL
+cd $TARBALL_ROOT
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a * $PKG/opt/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -m 0755 -D $CWD/start-$PRGNAM $PKG/usr/bin/$PRGNAM
+
+install -m 0644 -D $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/icons/hicolor/16x16/apps \
+ $PKG/usr/share/icons/hicolor/32x32/apps
+ln -s /opt/$PRGNAM/images/icon16.png \
+ $PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
+ln -s /opt/$PRGNAM/images/icon32.png \
+ $PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/opt/$PRGNAM/ ; mv docs readme.html $PKG/usr/doc/$PRGNAM-$VERSION )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/treesheets/treesheets.desktop b/office/treesheets/treesheets.desktop
new file mode 100644
index 0000000000..d0537c9bdb
--- /dev/null
+++ b/office/treesheets/treesheets.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=TreeSheets
+Exec=treesheets
+Icon=treesheets
+Type=Application
+Terminal=false
+X-KDE-StartupNotify=false
+Categories=Office;
diff --git a/office/treesheets/treesheets.info b/office/treesheets/treesheets.info
new file mode 100644
index 0000000000..cb620e8fff
--- /dev/null
+++ b/office/treesheets/treesheets.info
@@ -0,0 +1,10 @@
+PRGNAM="treesheets"
+VERSION="110805"
+HOMEPAGE="http://treesheets.com"
+DOWNLOAD="http://treesheets.com/treesheets_linux.tar.gz"
+MD5SUM="9c50dbb38010fcb27776078bc9474920"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Luke Williams"
+EMAIL="xocel@iquidus.org"